org.apache.fop.render.afp

## Class AFPRendererImageInfo

- java.lang.Object
- - org.apache.fop.render.afp.AFPRendererImageInfo

    public class AFPRendererImageInfo
    extends Object

The AFP image information

### Field Summary

Fields
`protected Map` `foreignAttributes` the foreign attributes
`protected org.apache.xmlgraphics.image.loader.Image` `img` the image
`protected org.apache.xmlgraphics.image.loader.ImageInfo` `info` the image info
`protected Point` `origin` the origin
`protected Rectangle2D` `pos` the current pos
`protected RendererContext` `rendererContext` the renderer context
`protected String` `uri` the image uri

### Constructor Summary

Constructors
Constructor and Description
`AFPRendererImageInfo(String uri, Rectangle2D pos, Point origin, org.apache.xmlgraphics.image.loader.ImageInfo info, org.apache.xmlgraphics.image.loader.Image img, RendererContext rendererContext, Map foreignAttributes)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`Map` `getForeignAttributes()` Return the foreign attributes
`org.apache.xmlgraphics.image.loader.Image` `getImage()` Returns the image
`org.apache.xmlgraphics.image.loader.ImageInfo` `getImageInfo()` Returns the image info
`Point` `getOrigin()` Return the origin
`Rectangle2D` `getPosition()` Return the position
`RendererContext` `getRendererContext()` Returns the renderer context
`String` `getURI()` Return the uri
`void` `setRendererContext(RendererContext rendererContext)` Sets the renderer context
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### uri

    protected final String uri

the image uri

#### pos

    protected final Rectangle2D pos

the current pos

#### origin

    protected final Point origin

the origin

#### foreignAttributes

    protected final Map foreignAttributes

the foreign attributes

#### info

    protected final org.apache.xmlgraphics.image.loader.ImageInfo info

the image info

#### img

    protected final org.apache.xmlgraphics.image.loader.Image img

the image

#### rendererContext

    protected RendererContext rendererContext

the renderer context

### Constructor Detail

#### AFPRendererImageInfo

    public AFPRendererImageInfo(String uri,
                                Rectangle2D pos,
                                Point origin,
                                org.apache.xmlgraphics.image.loader.ImageInfo info,
                                org.apache.xmlgraphics.image.loader.Image img,
                                RendererContext rendererContext,
                                Map foreignAttributes)

Main constructor

Parameters:
  `uri` - the image uri
  `pos` - the image content area
  `origin` - the current position
  `info` - the image info
  `img` - the image
  `rendererContext` - the renderer context
  `foreignAttributes` - the foreign attributes

### Method Detail

#### setRendererContext

    public void setRendererContext(RendererContext rendererContext)

Sets the renderer context

Parameters:
  `rendererContext` - the renderer context

#### getImageInfo

    public org.apache.xmlgraphics.image.loader.ImageInfo getImageInfo()

Returns the image info

Returns:
  the image info

#### getImage

    public org.apache.xmlgraphics.image.loader.Image getImage()

Returns the image

Returns:
  the image

#### getRendererContext

    public RendererContext getRendererContext()

Returns the renderer context

Returns:
  the renderer context

#### getForeignAttributes

    public Map getForeignAttributes()

Return the foreign attributes

Returns:
  the foreign attributes

#### getURI

    public String getURI()

Return the uri

Returns:
  the uri

#### getOrigin

    public Point getOrigin()

Return the origin

Returns:
  the origin

#### getPosition

    public Rectangle2D getPosition()

Return the position

Returns:
  the position

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`